﻿using System;
using System.Collections.Generic;

namespace KnigolubAvalonia.Models;

public partial class Invoice
{
    public int Id { get; set; }

    public DateOnly InvoiceDate { get; set; }

    public int IdProvider { get; set; }

    public decimal Amount { get; set; }

    public int IdPayment { get; set; }

    public int IdReceipt { get; set; }

    public string InvoiceNumber { get; set; } = null!;

    public virtual PaymentType IdPaymentNavigation { get; set; } = null!;

    public virtual Provider IdProviderNavigation { get; set; } = null!;

    public virtual ReceiptType IdReceiptNavigation { get; set; } = null!;
}
