using System;
using System.Collections.Generic;
using System.Linq;
using KnigolubAvalonia.Data;
using KnigolubAvalonia.Models;
using Microsoft.EntityFrameworkCore;
using ReactiveUI;

namespace KnigolubAvalonia.ViewModels;

public class InvoicesVM : ViewModelBase
{
    private List<Invoice> invoices = GlobalData.DbConnection.Invoices
        .Include(x => x.IdProviderNavigation)
        .Include(x => x.IdPaymentNavigation)        
        .Include(x => x.IdReceiptNavigation)        
        .ToList();

    public List<Invoice> Invoices
    {
        get => invoices;
        set => this.RaiseAndSetIfChanged(ref invoices, value);
    }
}