using Avalonia;
using Avalonia.Controls;
using Avalonia.Markup.Xaml;
using KnigolubAvalonia.ViewModels;
using System.Threading.Tasks;

namespace KnigolubAvalonia.Views;

public partial class AboutProviderWindow : Window
{
    AboutProviderVM data;
    public AboutProviderWindow(AboutProviderVM vm)
    {
        InitializeComponent();
        data = vm;
        DataContext = data;
    }

    private void Button_Close(object? sender, Avalonia.Interactivity.RoutedEventArgs e)
    {
        this.Close();
    }
    private void Button_Save(object? sender, Avalonia.Interactivity.RoutedEventArgs e)
    {
        if(data.SaveProvider())
        {
            var newWindow = new TemplateDialogWindow(" !");
            this.Close();
            newWindow.Show();
            
        }
        else
        {
            var newWindow = new TemplateDialogWindow(". -   .");
            newWindow.ShowDialog(this);
        }
    }
}