using System;
using System.Linq;
using Avalonia.Controls;
using KnigolubAvalonia.Data;
using KnigolubAvalonia.Models;
using KnigolubAvalonia.Views;
using ReactiveUI;

namespace KnigolubAvalonia.ViewModels;

public class LoginVM : ViewModelBase
{
    //Поля для хранения логина и пароля.
    private string _enteredUsername = null;
    private string _enteredPassword = null;
    
    //Свойства для работы с нашими приватными полями.
    public string EnteredUsername
    {
        get => _enteredUsername;
        set => this.RaiseAndSetIfChanged(ref _enteredUsername, value);
    }
    public string EnteredPassword
    {
        get => _enteredPassword;
        set => this.RaiseAndSetIfChanged(ref _enteredPassword, value);
    }


}