using Avalonia;
using Avalonia.Controls;
using Avalonia.Markup.Xaml;
using KnigolubAvalonia.ViewModels;

namespace KnigolubAvalonia;

public partial class AboutInvoiceWindow : Window
{
    AboutInvoiceViewModel data;
    public AboutInvoiceWindow(AboutInvoiceViewModel vm)
    {
        InitializeComponent();
        data = vm;
        DataContext = data;
    }

    private void Button_Close(object? sender, Avalonia.Interactivity.RoutedEventArgs e)
    {
        this.Close();
    }

    private void Button_Save(object? sender, Avalonia.Interactivity.RoutedEventArgs e)
    {
        if (data.SaveInvoice())
        {
            var newWindow = new TemplateDialogWindow(" !");
            this.Close();
            newWindow.Show();
        }
        else
        {
            var newWindow = new TemplateDialogWindow(". -   .");
            newWindow.ShowDialog(this);
        }
    }
}